org.hibernate.search.elasticsearch.gson.impl

## Class JsonElementType<T>

- java.lang.Object
- - org.hibernate.search.elasticsearch.gson.impl.JsonElementType<T>

-     public abstract class JsonElementType<T>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JsonElementType<com.google.gson.JsonArray>` | `ARRAY`
    `static JsonElementType<Boolean>` | `BOOLEAN`
    `static JsonElementType<Double>` | `DOUBLE`
    `static JsonElementType<Float>` | `FLOAT`
    `static JsonElementType<Integer>` | `INTEGER`
    `static JsonElementType<Long>` | `LONG`
    `static JsonElementType<com.google.gson.JsonNull>` | `NULL`
    `static JsonElementType<com.google.gson.JsonObject>` | `OBJECT`
    `static JsonElementType<com.google.gson.JsonPrimitive>` | `PRIMITIVE`
    `static JsonElementType<String>` | `STRING`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `fromElement(com.google.gson.JsonElement element)`
    `boolean` | `isInstance(com.google.gson.JsonElement element)`
    `protected abstract T` | `nullUnsafeFromElement(com.google.gson.JsonElement element)`
    `protected abstract boolean` | `nullUnsafeIsInstance(com.google.gson.JsonElement element)`
    `protected abstract com.google.gson.JsonElement` | `nullUnsafeToElement(T element)`
    `com.google.gson.JsonElement` | `toElement(T value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OBJECT

          public static final JsonElementType<com.google.gson.JsonObject> OBJECT

    - #### ARRAY

          public static final JsonElementType<com.google.gson.JsonArray> ARRAY

    - #### PRIMITIVE

          public static final JsonElementType<com.google.gson.JsonPrimitive> PRIMITIVE

    - #### STRING

          public static final JsonElementType<String> STRING

    - #### BOOLEAN

          public static final JsonElementType<Boolean> BOOLEAN

    - #### INTEGER

          public static final JsonElementType<Integer> INTEGER

    - #### LONG

          public static final JsonElementType<Long> LONG

    - #### FLOAT

          public static final JsonElementType<Float> FLOAT

    - #### DOUBLE

          public static final JsonElementType<Double> DOUBLE

    - #### NULL

          public static final JsonElementType<com.google.gson.JsonNull> NULL

  - ### Method Detail

    - #### fromElement

          public final T fromElement(com.google.gson.JsonElement element)

    - #### nullUnsafeFromElement

          protected abstract T nullUnsafeFromElement(com.google.gson.JsonElement element)

    - #### toElement

          public final com.google.gson.JsonElement toElement(T value)

    - #### nullUnsafeToElement

          protected abstract com.google.gson.JsonElement nullUnsafeToElement(T element)

    - #### isInstance

          public final boolean isInstance(com.google.gson.JsonElement element)

    - #### nullUnsafeIsInstance

          protected abstract boolean nullUnsafeIsInstance(com.google.gson.JsonElement element)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved